Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface TransactionServiceConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, NotificationBroadcaster, NotificationEmitter, PropertiesAccess

public interface TransactionServiceConfig
extends ConfigElement, PropertiesAccess

Configuration for the <transaction-service> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Method Summary
`boolean` | `getAutomaticRecovery()`
`java.lang.String` | `getHeuristicDecision()`
`java.lang.String` | `getKeypointInterval()`
`java.lang.String` | `getRetryTimeoutInSeconds()`
`java.lang.String` | `getTimeoutInSeconds()`
`java.lang.String` | `getTxLogDir()`
`void` | `setAutomaticRecovery(boolean value)`
`void` | `setHeuristicDecision(java.lang.String value)`
`void` | `setKeypointInterval(java.lang.String value)`
`void` | `setRetryTimeoutInSeconds(java.lang.String value)`
`void` | `setTimeoutInSeconds(java.lang.String value)`
`void` | `setTxLogDir(java.lang.String value)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getAutomaticRecovery

    public boolean getAutomaticRecovery()

### setAutomaticRecovery

    public void setAutomaticRecovery(boolean value)

### getHeuristicDecision

    public java.lang.String getHeuristicDecision()

### setHeuristicDecision

    public void setHeuristicDecision(java.lang.String value)

### getKeypointInterval

    public java.lang.String getKeypointInterval()

### setKeypointInterval

    public void setKeypointInterval(java.lang.String value)

### getRetryTimeoutInSeconds

    public java.lang.String getRetryTimeoutInSeconds()

### setRetryTimeoutInSeconds

    public void setRetryTimeoutInSeconds(java.lang.String value)

### getTimeoutInSeconds

    public java.lang.String getTimeoutInSeconds()

### setTimeoutInSeconds

    public void setTimeoutInSeconds(java.lang.String value)

### getTxLogDir

    public java.lang.String getTxLogDir()

### setTxLogDir

    public void setTxLogDir(java.lang.String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.